import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page {
  constructor(private router: Router) {}

  goToNews() {
    this.router.navigate(['/tabs/tab3/news']); // 跳转到新闻页面
  }

  goToInterest() {
    this.router.navigate(['/interest']);
  }

  goToFriendDynamic() {
    this.router.navigate(['/friend-dynamic']);
  }

  goToShake() {
    this.router.navigate(['/shake']);
  }
}